/// class PD.Web.UI.Controls.GridFillColumn
/// using PD.Web.UI.Controls.GridColumn

PD.Web.UI.Controls.GridFillColumn = 
PD.Web.UI.Controls.GridColumn.extend({

    //===================================
    // CONSTRUCTOR
    //===================================

    init: function (options) {

        this._super($.extend({
            title: "&nbsp;",
            template: $.proxy(this.template, this),
            attributes: {
                "data-event": "none",
                style: "border-width:0;cursor:default;background-color:var(--visiv-theme-grid-content-back-color);"
            },
            headerAttributes: { 
                style: "border-width:0 0 1px;",
                "class": "-pd-noresize"
            }
        }, options));

    }

});